Bug 819687 - Review Request: python-rtkit - Python Api for Request Tracker's REST interface
Review Request: python-rtkit - Python Api for Request Tracker's REST interface
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On: 839142
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-07 21:12 EDT by Tomas Dabašinskas
Modified: 2013-12-10 01:11 EST (History)
3 users (show)

See Also:
Fixed In Version: python-rtkit-0.6.0-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-10 01:11:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tomas Dabašinskas 2012-05-07 21:12:59 EDT
Spec URL: https://github.com/downloads/T0MASD/python-rtkit/python-rtkit.spec
SRPM URL: https://github.com/downloads/T0MASD/python-rtkit/python-rtkit-0.2.0-1.el6.src.rpm
Description: Request Tracker REST Interface
Best Practical RT (Request Tracker) data access python module for REST interface.

https://github.com/z4r/python-rtkit#readme
Comment 1 Tomas Dabašinskas 2012-05-07 22:18:02 EDT
[tdabasin@iddqd ~]$ cd /tmp
[tdabasin@iddqd tmp]$ wget https://github.com/downloads/T0MASD/python-rtkit/python-rtkit.spec
--2012-05-08 12:17:02--  https://github.com/downloads/T0MASD/python-rtkit/python-rtkit.spec
Resolving github.com... 207.97.227.239
Connecting to github.com|207.97.227.239|:443... connected.
HTTP request sent, awaiting response... 302 Found
Location: http://cloud.github.com/downloads/T0MASD/python-rtkit/python-rtkit.spec [following]
--2012-05-08 12:17:03--  http://cloud.github.com/downloads/T0MASD/python-rtkit/python-rtkit.spec
Resolving cloud.github.com... 205.251.203.20, 205.251.203.33, 205.251.203.68, ...
Connecting to cloud.github.com|205.251.203.20|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 1232 (1.2K) [text/x-rpm-spec]
Saving to: “python-rtkit.spec”

100%[=========================================================================>] 1,232       --.-K/s   in 0s      

2012-05-08 12:17:05 (58.8 MB/s) - “python-rtkit.spec” saved [1232/1232]

[tdabasin@iddqd tmp]$ wget https://github.com/downloads/T0MASD/python-rtkit/python-rtkit-0.2.0-1.el6.src.rpm
--2012-05-08 12:17:16--  https://github.com/downloads/T0MASD/python-rtkit/python-rtkit-0.2.0-1.el6.src.rpm
Resolving github.com... 207.97.227.239
Connecting to github.com|207.97.227.239|:443... connected.
HTTP request sent, awaiting response... 302 Found
Location: http://cloud.github.com/downloads/T0MASD/python-rtkit/python-rtkit-0.2.0-1.el6.src.rpm [following]
--2012-05-08 12:17:18--  http://cloud.github.com/downloads/T0MASD/python-rtkit/python-rtkit-0.2.0-1.el6.src.rpm
Resolving cloud.github.com... 205.251.203.204, 205.251.203.20, 205.251.203.33, ...
Connecting to cloud.github.com|205.251.203.204|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 15968 (16K) [application/x-rpm]
Saving to: “python-rtkit-0.2.0-1.el6.src.rpm”

100%[=========================================================================>] 15,968      81.8K/s   in 0.2s    

2012-05-08 12:17:19 (81.8 KB/s) - “python-rtkit-0.2.0-1.el6.src.rpm” saved [15968/15968]

[tdabasin@iddqd tmp]$ rpmlint python-rtkit-0.2.0-1.el6.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[tdabasin@iddqd tmp]$ rpmlint python-rtkit.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[tdabasin@iddqd tmp]$ exit
exit
Script done, file is typescript
[tdabasin@iddqd ~]$ cat typescript 
Script started on Tue 08 May 2012 12:16:45 PM EST
[tdabasin@iddqd ~]$ cd /tmp
[tdabasin@iddqd tmp]$ wget https://github.com/downloads/T0MASD/python-rtkit/python-rtkit.spec
--2012-05-08 12:17:02--  https://github.com/downloads/T0MASD/python-rtkit/python-rtkit.spec
Resolving github.com... 207.97.227.239
Connecting to github.com|207.97.227.239|:443... connected.
HTTP request sent, awaiting response... 302 Found
Location: http://cloud.github.com/downloads/T0MASD/python-rtkit/python-rtkit.spec [following]
--2012-05-08 12:17:03--  http://cloud.github.com/downloads/T0MASD/python-rtkit/python-rtkit.spec
Resolving cloud.github.com... 205.251.203.20, 205.251.203.33, 205.251.203.68, ...
Connecting to cloud.github.com|205.251.203.20|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 1232 (1.2K) [text/x-rpm-spec]
Saving to: “python-rtkit.spec”

100%[=========================================================================>] 1,232       --.-K/s   in 0s      

2012-05-08 12:17:05 (58.8 MB/s) - “python-rtkit.spec” saved [1232/1232]

[tdabasin@iddqd tmp]$ wget https://github.com/downloads/T0MASD/python-rtkit/python-rtkit-0.2.0-1.el6.src.rpm
--2012-05-08 12:17:16--  https://github.com/downloads/T0MASD/python-rtkit/python-rtkit-0.2.0-1.el6.src.rpm
Resolving github.com... 207.97.227.239
Connecting to github.com|207.97.227.239|:443... connected.
HTTP request sent, awaiting response... 302 Found
Location: http://cloud.github.com/downloads/T0MASD/python-rtkit/python-rtkit-0.2.0-1.el6.src.rpm [following]
--2012-05-08 12:17:18--  http://cloud.github.com/downloads/T0MASD/python-rtkit/python-rtkit-0.2.0-1.el6.src.rpm
Resolving cloud.github.com... 205.251.203.204, 205.251.203.20, 205.251.203.33, ...
Connecting to cloud.github.com|205.251.203.204|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 15968 (16K) [application/x-rpm]
Saving to: “python-rtkit-0.2.0-1.el6.src.rpm”

100%[=========================================================================>] 15,968      81.8K/s   in 0.2s    

2012-05-08 12:17:19 (81.8 KB/s) - “python-rtkit-0.2.0-1.el6.src.rpm” saved [15968/15968]

[tdabasin@iddqd tmp]$ rpmlint python-rtkit-0.2.0-1.el6.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[tdabasin@iddqd tmp]$ rpmlint python-rtkit.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 2 Tomas Dabašinskas 2012-05-07 22:30:36 EDT
koji scratchbuild:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4061822
Comment 3 Patrick Uiterwijk 2012-07-02 00:31:47 EDT
Hello,

I've done an informal review (as I'm not a sponsor, and my request for package maintainer is pending).


Why do you define a new macro %{srcname} if you could also just use %{name} after setting this in the first line?

You are inconsistent with your use of macro's: first you use %{srcname} and %{version} in %prep, but then you use $RPM_BUILD_ROOT in %install.

You should not do rm -rf $RPM_BUILD_ROOT (or %(buildroot}) in %install, unless you want to package for el5, but you only provided an el6, so I am not sure of your intentions on this.
There are more errors/warning you can ignore if you are also doing this package for el5.

Why do you add the %defattr to %files, as this should be the default?

Is this packaging effort really from June 11 in 2009, or did you make a mistake in the Changelog?

I think you really should include documentation.
You could add %doc README.rst for that purpose.

You should ask upstream to include the license file.

Note: version 0.2.1 was released the day after you submitted this review request, maybe you should update your spec to use this one?


Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[?]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[x]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[!]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint python-rtkit-0.2.0-1.fc18.noarch.rpm

python-rtkit.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint python-rtkit-0.2.0-1.fc18.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/patrick/Documents/Development/Fedora/Packaging/Reviewing/python-rtkit/819687/python-rtkit-0.2.0.tar.gz :
  MD5SUM this package     : 69f325e74b6dbc75f8f3b1f1e9b173b3
  MD5SUM upstream package : 69f325e74b6dbc75f8f3b1f1e9b173b3

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[!]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[!]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[!]: SHOULD Spec use %global instead of %define.
     Note: %define srcname python-rtkit

Issues:
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
See: http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
See: http://fedoraproject.org/wiki/Packaging/Guidelines#.25clean
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
See: None
[!]: MUST Rpmlint output is silent.

rpmlint python-rtkit-0.2.0-1.fc18.noarch.rpm

python-rtkit.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint python-rtkit-0.2.0-1.fc18.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint


Generated by fedora-review 0.1.3
Comment 4 Tomas Dabašinskas 2012-07-02 20:42:46 EDT
(In reply to comment #3)
> Hello,
> 
> I've done an informal review (as I'm not a sponsor, and my request for
> package maintainer is pending).
> 
> 
> Why do you define a new macro %{srcname} if you could also just use %{name}
> after setting this in the first line?

fixed

> You are inconsistent with your use of macro's: first you use %{srcname} and
> %{version} in %prep, but then you use $RPM_BUILD_ROOT in %install.

fixed
 
> You should not do rm -rf $RPM_BUILD_ROOT (or %(buildroot}) in %install,
> unless you want to package for el5, but you only provided an el6, so I am
> not sure of your intentions on this.
> There are more errors/warning you can ignore if you are also doing this
> package for el5.

fixed 

> 
> Why do you add the %defattr to %files, as this should be the default?
> 

fixed

> Is this packaging effort really from June 11 in 2009, or did you make a
> mistake in the Changelog?

fixed

> 
> I think you really should include documentation.
> You could add %doc README.rst for that purpose.
> 

fixed

> You should ask upstream to include the license file.
> 
> Note: version 0.2.1 was released the day after you submitted this review
> request, maybe you should update your spec to use this one?
> 

The 0.2.1 adds support kerberos authentication, I will update the package once it gets approved

I updated the srpm and spec file and ran the review myself:
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[ ]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[ ]: MUST Package contains no bundled libraries.
[ ]: MUST Changelog in prescribed format.
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[ ]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[ ]: MUST Macros in Summary, %description expandable at SRPM build time.
[ ]: MUST Package requires other packages for directories it uses.
[ ]: MUST Package uses nothing in %doc for runtime.
[ ]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[ ]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[ ]: MUST License field in the package spec file matches the actual license.
[ ]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[ ]: MUST Package does not generates any conflict.
[ ]: MUST Package obeys FHS, except libexecdir and /usr/target.
[ ]: MUST Package must own all directories that it creates.
[ ]: MUST Package does not own files or directories owned by other packages.
[ ]: MUST Package installs properly.
[ ]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.

rpmlint python-rtkit-0.2.0-1.fc18.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint python-rtkit-0.2.0-1.fc18.noarch.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/bne/tdabasin/819687/python-rtkit-0.2.0.tar.gz :
  MD5SUM this package     : 69f325e74b6dbc75f8f3b1f1e9b173b3
  MD5SUM upstream package : 69f325e74b6dbc75f8f3b1f1e9b173b3

[ ]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[ ]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[ ]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[ ]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[ ]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[ ]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[ ]: SHOULD %check is present and all tests pass.
[ ]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL


Generated by fedora-review 0.1.2
Comment 5 Patrick Uiterwijk 2012-07-03 00:47:33 EDT
I think you should bump your version number and add a changelog, because you published the previous version.

Other then that, I approve it (informally).

But since you are not sponsored into the packager group yet for as far as I can see, and I'm not a sponsor, I cannot approve it formally.
Comment 7 Jason Tibbitts 2012-07-04 02:28:42 EDT
I'll assume that because you don't clean the buildroot in %install that you don't intend to submit this for EL5.  Given that, here's a review:

The first line of the spec is pointless regardless of what releases you intend to package for.

The python_sitelib define at the top is unnecessary; all Fedora and EL6 already have this.

BuildRoot: is unnecessary, as is the %clean section.

The Summary: and %description are rather deficient; neither really tells me much about the package.  Unfortunately these appear to come from upstream.  I'll suggest these:

Summary: A python interface to the Request Tracker API

%description
A Python module providing access to the Best Practical Request Tracker (RT) REST interface.

Not the best, I guess, but better than what's there.

The package is out of date; the current version appears to be 0.2.4.  I'll go ahead and take this for review, but you should update to the current version before I get any further into it.  Unless, of course, you have a reason for not updating to the current version.
Comment 8 Tomas Dabašinskas 2012-07-04 03:27:29 EDT
Jason,
Thanks for taking this review, I have updated the spec file as you suggested.
ran fedora-reveiw:
Issues:
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL

package is not intended for EL5

Spec URL: https://github.com/downloads/T0MASD/python-rtkit/python-rtkit.spec
SRPM URL: https://github.com/downloads/T0MASD/python-rtkit/python-rtkit-0.2.4-1.el6.src.rpm
Comment 9 Jason Tibbitts 2012-07-05 16:29:41 EDT
If the package is not intended for EL5, I'm not sure why you keep leaving the BuildRoot: and %clean section in your spec.  Is there some reason you don't want to remove them?
Comment 10 Tomas Dabašinskas 2012-07-06 00:56:42 EDT
Thanks for the feedback, I've updated the spec and srpm:
Spec URL: https://github.com/downloads/T0MASD/python-rtkit/python-rtkit.spec
SRPM URL: https://github.com/downloads/T0MASD/python-rtkit/python-rtkit-0.2.4-2.el6.src.rpm
Comment 11 Jason Tibbitts 2012-07-08 16:24:53 EDT
OK, %clean is gone.  But BuildRoot: is still there.  At this point I have to assume there is some reason you want to keep it there, but I'm not sure what it would be.  All current Fedora versions and RHEL6 ignore it completely, so it is pointless, but if you do have some justification then please provide it.  Otherwise I have to wonder if you're just not paying attention to what I'm writing here.
Comment 12 Tomas Dabašinskas 2012-07-10 00:40:00 EDT
Jason, I'm sorry for missing the buildroot definition, I have just removed it and updated the srpm.

Spec URL: https://github.com/downloads/T0MASD/python-rtkit/python-rtkit.spec
SRPM URL: https://github.com/downloads/T0MASD/python-rtkit/python-rtkit-0.2.4-3.el6.src.rpm
Comment 13 Jason Tibbitts 2012-07-10 23:40:33 EDT
OK, now there's another fun problem.  At some point this grew a dependency on python-urllib2_kerberos which I don't see as being available in Fedora.  It appears to have been retired about two years ago.  I know I built and installed this earlier in the process but I'm not sure when it came in.  Unfortunately lack of that package prevents me from doing a proper review of this one, and so I'm not sure how to proceed.
Comment 14 Tomas Dabašinskas 2012-07-11 00:11:54 EDT
Hi Jason, I thought python-urllib2_kerberos was in fedora repo. Python-urllib2_kerberos isn't required to run python rtkit. rtkit supports 3 auth methods: basic, cookie, kerberos. If urllib2 is not found and kerberos auth method is used an exception is thrown instructing to use pip install urllib2_kerberos:
https://github.com/z4r/python-rtkit/blob/master/rtkit/authenticators.py#L64

Should I remove requires of python-urllib2_kerberos and work on getting it back to fedora?
Comment 15 Jason Tibbitts 2012-07-11 00:34:04 EDT
Well, according to the dead.package file in the repo it left Fedora for no reason other than it had no maintainer, so it could easily be revived.  It just needs a fresh package review and some trickery to get the package unblocked.  If you want to submit a review for it, please do so and I'll try to take care of it.  I have less then a week before I go on vacation and I will not have much in the way of net access for most of it, though, so we'll have to hurry (or find someone else to review).
Comment 16 Tomas Dabašinskas 2012-07-11 01:45:19 EDT
Jason,
I've repackaged python-urllib2_kerberos and added review request:
https://bugzilla.redhat.com/show_bug.cgi?id=839142
Comment 17 Kevin Fenzi 2012-08-07 20:10:19 EDT
Removing needsponsor, I have sponsored Tomas.
Comment 18 Tomas Dabašinskas 2012-08-28 20:04:55 EDT
(In reply to comment #13)
> OK, now there's another fun problem.  At some point this grew a dependency
> on python-urllib2_kerberos which I don't see as being available in Fedora. 
> It appears to have been retired about two years ago.  I know I built and
> installed this earlier in the process but I'm not sure when it came in. 
> Unfortunately lack of that package prevents me from doing a proper review of
> this one, and so I'm not sure how to proceed.

Jason, the build for python-urllib2_kerberos just been pushed to fedora[1]
when you get a chance can you please resume the review process? 

[1] https://bugzilla.redhat.com/show_bug.cgi?id=839142

Many thanks,
Tomas
Comment 19 Jason Tibbitts 2012-08-28 20:44:50 EDT
Great, I'll try to carve out some time soon.  It's the beginning of the school year so things might be stalled until next week.
Comment 20 Tomas Dabašinskas 2012-10-01 22:04:17 EDT
Spec URL: http://people.fedoraproject.org/~tdabasin/python-rtkit/python-rtkit.spec
SRPM URL: http://people.fedoraproject.org/~tdabasin/python-rtkit/python-rtkit-0.2.5-1.el6.src.rpm

Jason, I've updated the pacakge to 0.2.5, I'd really appreciate if you could please review this when you get a chance.

Many thanks!
Comment 21 Christopher Meng 2013-09-26 01:32:58 EDT
Hi all,

I think I have to use needinfo now.

My review:

1. Missing BuildRequires:  python2-devel

2. %setup -q -n %{name}-%{version} can just be %setup -q

3. %{__python} --> %{__python2}

4. %{python_sitelib} --> %{python2_sitelib}

5. LATEST VERSION IS 0.6

6. URL should be http://z4r.github.io/python-rtkit/
Comment 22 Jason Tibbitts 2013-09-26 10:30:26 EDT
No time at all; anyone else is free to review.
Comment 23 Christopher Meng 2013-09-26 22:42:13 EDT
Hi Tomas, want to continue or not?
Comment 24 Tomas Dabašinskas 2013-09-27 00:15:54 EDT
Hi Christopher,
Many thanks for taking up this review, I'll get the package updated and ready for review next week.

Cheers,
Tomas
Comment 25 Christopher Meng 2013-11-08 09:05:26 EST
ping.
Comment 26 Tomas Dabašinskas 2013-11-13 01:19:24 EST
Spec URL: http://people.fedoraproject.org/~tdabasin/python-rtkit/python-rtkit.spec
SRPM URL: http://people.fedoraproject.org/~tdabasin/python-rtkit/python-rtkit-0.6.0-1.fc19.src.rpm

Christopher, I've updated the pacakge to 0.6.0 and fixed the spec

Many thanks!
Comment 27 Christopher Meng 2013-11-14 04:17:27 EST
1. Remove bundled egginfo before build.

2. tests folder found, but no %check present.

If you want to run the tests, following modules must be installed:

pytest
pytest-pep8
pytest-cov
httpretty
python-coveralls

We need these to be packaged:

pytest-pep8
pytest-cov
httpretty
python-coveralls

I can submit them to the review, but I want to know if you need this package in dire need? If so I will skip test section(but I will package these deps as well, and please enable tests in the future); If not I will start working on deps now.

3. Fix this issue:

python-rtkit.src:13: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 13)

------------

PACKAGE APPROVED.

Please answer my questions above. Thanks.
Comment 28 Tomas Dabašinskas 2013-11-24 20:44:23 EST
Hi Christopher, many thanks for the review and catching the %check  I'm not in dire need to get the package out, but I agree let's get this package out and start working on packaging %check deps.

I haven't bumped the spec version, just extended last rev message, the updated rpm:

Spec URL: http://people.fedoraproject.org/~tdabasin/python-rtkit/python-rtkit.spec
SRPM URL: http://people.fedoraproject.org/~tdabasin/python-rtkit/python-rtkit-0.6.0-1.fc19.src.rpm
Comment 29 Tomas Dabašinskas 2013-11-26 00:56:39 EST
New Package SCM Request
=======================
Package Name: python-rtkit
Short Description: Python Api for Request Tracker's REST interface
Owners: tdabasin
Branches: f19 f20 el6
InitialCC: tdabasin
Comment 30 Jon Ciesla 2013-11-26 08:20:36 EST
Git done (by process-git-requests).
Comment 31 Fedora Update System 2013-11-26 23:36:59 EST
python-rtkit-0.6.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-rtkit-0.6.0-1.fc19
Comment 32 Fedora Update System 2013-11-29 01:56:16 EST
python-rtkit-0.6.0-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 33 Fedora Update System 2013-12-10 01:11:25 EST
python-rtkit-0.6.0-1.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.